/* This file is a part of the sqlHawk project.
 * http://timabell.github.com/sqlHawk/
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>. */
package uk.co.timwise.sqlhawk.text;

import java.io.IOException;
import java.util.Collection;

import uk.co.timwise.sqlhawk.model.Table;
import uk.co.timwise.sqlhawk.util.LineWriter;

public class TextFormatter {
	private static TextFormatter instance = new TextFormatter();

	/**
	 * Singleton - prevent creation
	 */
	private TextFormatter() {
	}

	public static TextFormatter getInstance() {
		return instance;
	}

	public void write(Collection<Table> tables, boolean includeViews, LineWriter out) throws IOException {
		for (Table table : tables) {
			if (!table.isView() || includeViews)
				out.writeln(table.getName());
		}
	}
}
